# $Revision: 1.15 $, $Date: 2007-12-24 13:33:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	TokeParser-Simple
Summary:	HTML::TokeParser::Simple - easy to use HTML::TokeParser interface
Summary(pl.UTF-8):	HTML::TokeParser::Simple - łatwy w użyciu interfejs do HTML::TokeParser
Name:		perl-HTML-TokeParser-Simple
Version:	3.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2867824be9cbe3e86e94ca677d042ffe
URL:		http://search.cpan.org/dist/HTML-TokeParser-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3.28
BuildRequires:	perl-Sub-Override
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::TokeParser is a fairly common method of parsing HTML. However,
the tokens returned are not exactly intuitive to parse.
HTML::TokeParser::Simple allows the user ask more intuitive (read:
more self-documenting) questions about the tokens returned.
Specifically, there are 7 is_foo type methods and 5 return_bar type
methods. The is_ methods allow you to determine the token type and the
return_ methods get the data that you need.

%description -l pl.UTF-8
HTML::TokeParser to dosyć popularna metoda analizowania HTML-a. jednak
zwracane tokeny nie są zbyt intuicyjne do przeanalizowania.
HTML::TokeParser::Simple pozwala wykonywać bardziej intuicyjne
(samodokumentujące się) zapytania dotyczące zwracanych tokenów. W
szczególności jest 7 metod typu is_foo oraz 5 metod typu return_bar.
Metody is_ pozwalają określić typ tokenu, a metody return_ - pobrać
potrzebne dane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-TokeParser-Simple.spec,v $
Revision 1.15  2007-12-24 13:33:21  qboosh
- generic URL

Revision 1.14  2007-12-24 00:44:42  zbyniu
- up to 3.15

Revision 1.13  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.11  2005/11/26 10:11:01  charles
- updated to 3.14

Revision 1.10  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.9  2004/12/01 21:11:21  radek
- version 3.13, BR: perl-Sub-Override

Revision 1.8  2004/11/03 22:30:26  paladine
- formatting

Revision 1.7  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.5  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.4  2004/02/13 16:25:51  migo
- up to 2.2, cosmetics

Revision 1.3  2003/10/09 23:07:24  qboosh
- pl, some unifications

Revision 1.2  2003/10/05 14:58:58  migo
- fixed %files
- release 2

Revision 1.1  2003/10/04 13:53:25  migo
- initial revision
